Constants (Apache Tomcat 8.5.83 API Documentation)

Package org.apache.tomcat.websocket

## Class Constants

- java.lang.Object
- - org.apache.tomcat.websocket.Constants

-     public class Constants
      extends java.lang.Object

  Internal implementation constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `AUTHORIZATION_HEADER_NAME` |
    `static java.lang.String` | `BLOCKING_SEND_TIMEOUT_PROPERTY` |
    `static java.lang.String` | `CONNECTION_HEADER_NAME` |
    `static java.lang.String` | `CONNECTION_HEADER_VALUE` |
    `static long` | `DEFAULT_BLOCKING_SEND_TIMEOUT` |
    `static int` | `FOUND` |
    `static java.lang.String` | `HOST_HEADER_NAME` |
    `static java.util.List<Extension>` | `INSTALLED_EXTENSIONS` |
    `static long` | `IO_TIMEOUT_MS_DEFAULT` |
    `static java.lang.String` | `IO_TIMEOUT_MS_PROPERTY` | Property name to set to configure the timeout (in milliseconds) when establishing a WebSocket connection to server.
    `static java.lang.String` | `LOCATION_HEADER_NAME` |
    `static int` | `MAX_REDIRECTIONS_DEFAULT` |
    `static java.lang.String` | `MAX_REDIRECTIONS_PROPERTY` |
    `static int` | `MOVED_PERMANENTLY` |
    `static int` | `MULTIPLE_CHOICES` |
    `static byte` | `OPCODE_BINARY` |
    `static byte` | `OPCODE_CLOSE` |
    `static byte` | `OPCODE_CONTINUATION` |
    `static byte` | `OPCODE_PING` |
    `static byte` | `OPCODE_PONG` |
    `static byte` | `OPCODE_TEXT` |
    `static java.lang.String` | `ORIGIN_HEADER_NAME` |
    `static java.lang.String` | `PROXY_AUTHENTICATE_HEADER_NAME` |
    `static int` | `PROXY_AUTHENTICATION_REQUIRED` |
    `static java.lang.String` | `PROXY_AUTHORIZATION_HEADER_NAME` |
    `static java.lang.String` | `READ_IDLE_TIMEOUT_MS` |
    `static int` | `SEE_OTHER` |
    `static java.lang.String` | `SSL_CONTEXT_PROPERTY` | Property name to set to configure used SSLContext.
    `static java.lang.String` | `SSL_PROTOCOLS_PROPERTY` | Property name to set to configure the value that is passed to `SSLEngine.setEnabledProtocols(String[])`.
    `static java.lang.String` | `SSL_TRUSTSTORE_PROPERTY` |
    `static java.lang.String` | `SSL_TRUSTSTORE_PWD_DEFAULT` |
    `static java.lang.String` | `SSL_TRUSTSTORE_PWD_PROPERTY` |
    `static boolean` | `STRICT_SPEC_COMPLIANCE` |
    `static int` | `TEMPORARY_REDIRECT` |
    `static int` | `UNAUTHORIZED` |
    `static java.lang.String` | `UPGRADE_HEADER_NAME` |
    `static java.lang.String` | `UPGRADE_HEADER_VALUE` |
    `static int` | `USE_PROXY` |
    `static java.lang.String` | `WRITE_IDLE_TIMEOUT_MS` |
    `static java.lang.String` | `WS_AUTHENTICATION_PASSWORD` |
    `static java.lang.String` | `WS_AUTHENTICATION_PROXY_PASSWORD` |
    `static java.lang.String` | `WS_AUTHENTICATION_PROXY_REALM` |
    `static java.lang.String` | `WS_AUTHENTICATION_PROXY_USER_NAME` |
    `static java.lang.String` | `WS_AUTHENTICATION_REALM` |
    `static java.lang.String` | `WS_AUTHENTICATION_USER_NAME` |
    `static java.lang.String` | `WS_EXTENSIONS_HEADER_NAME` |
    `static java.lang.String` | `WS_KEY_HEADER_NAME` |
    `static java.lang.String` | `WS_PROTOCOL_HEADER_NAME` |
    `static java.lang.String` | `WS_VERSION_HEADER_NAME` |
    `static java.lang.String` | `WS_VERSION_HEADER_VALUE` |
    `static java.lang.String` | `WWW_AUTHENTICATE_HEADER_NAME` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OPCODE_CONTINUATION

          public static final byte OPCODE_CONTINUATION

      See Also:
        Constant Field Values

    - #### OPCODE_TEXT

          public static final byte OPCODE_TEXT

      See Also:
        Constant Field Values

    - #### OPCODE_BINARY

          public static final byte OPCODE_BINARY

      See Also:
        Constant Field Values

    - #### OPCODE_CLOSE

          public static final byte OPCODE_CLOSE

      See Also:
        Constant Field Values

    - #### OPCODE_PING

          public static final byte OPCODE_PING

      See Also:
        Constant Field Values

    - #### OPCODE_PONG

          public static final byte OPCODE_PONG

      See Also:
        Constant Field Values

    - #### SSL_PROTOCOLS_PROPERTY

          public static final java.lang.String SSL_PROTOCOLS_PROPERTY

      Property name to set to configure the value that is passed to `SSLEngine.setEnabledProtocols(String[])`. The value should be a comma separated string.
      See Also:
        Constant Field Values

    - #### SSL_TRUSTSTORE_PROPERTY

          public static final java.lang.String SSL_TRUSTSTORE_PROPERTY

      See Also:
        Constant Field Values

    - #### SSL_TRUSTSTORE_PWD_PROPERTY

          public static final java.lang.String SSL_TRUSTSTORE_PWD_PROPERTY

      See Also:
        Constant Field Values

    - #### SSL_TRUSTSTORE_PWD_DEFAULT

          public static final java.lang.String SSL_TRUSTSTORE_PWD_DEFAULT

      See Also:
        Constant Field Values

    - #### SSL_CONTEXT_PROPERTY

          public static final java.lang.String SSL_CONTEXT_PROPERTY

      Property name to set to configure used SSLContext. The value should be an instance of SSLContext. If this property is present, the SSL_TRUSTSTORE* properties are ignored.
      See Also:
        Constant Field Values

    - #### IO_TIMEOUT_MS_PROPERTY

          public static final java.lang.String IO_TIMEOUT_MS_PROPERTY

      Property name to set to configure the timeout (in milliseconds) when establishing a WebSocket connection to server. The default is `IO_TIMEOUT_MS_DEFAULT`.
      See Also:
        Constant Field Values

    - #### IO_TIMEOUT_MS_DEFAULT

          public static final long IO_TIMEOUT_MS_DEFAULT

      See Also:
        Constant Field Values

    - #### MAX_REDIRECTIONS_PROPERTY

          public static final java.lang.String MAX_REDIRECTIONS_PROPERTY

      See Also:
        Constant Field Values

    - #### MAX_REDIRECTIONS_DEFAULT

          public static final int MAX_REDIRECTIONS_DEFAULT

      See Also:
        Constant Field Values

    - #### HOST_HEADER_NAME

          public static final java.lang.String HOST_HEADER_NAME

      See Also:
        Constant Field Values

    - #### UPGRADE_HEADER_NAME

          public static final java.lang.String UPGRADE_HEADER_NAME

      See Also:
        Constant Field Values

    - #### UPGRADE_HEADER_VALUE

          public static final java.lang.String UPGRADE_HEADER_VALUE

      See Also:
        Constant Field Values

    - #### ORIGIN_HEADER_NAME

          public static final java.lang.String ORIGIN_HEADER_NAME

      See Also:
        Constant Field Values

    - #### CONNECTION_HEADER_NAME

          public static final java.lang.String CONNECTION_HEADER_NAME

      See Also:
        Constant Field Values

    - #### CONNECTION_HEADER_VALUE

          public static final java.lang.String CONNECTION_HEADER_VALUE

      See Also:
        Constant Field Values

    - #### LOCATION_HEADER_NAME

          public static final java.lang.String LOCATION_HEADER_NAME

      See Also:
        Constant Field Values

    - #### AUTHORIZATION_HEADER_NAME

          public static final java.lang.String AUTHORIZATION_HEADER_NAME

      See Also:
        Constant Field Values

    - #### WWW_AUTHENTICATE_HEADER_NAME

          public static final java.lang.String WWW_AUTHENTICATE_HEADER_NAME

      See Also:
        Constant Field Values

    - #### PROXY_AUTHORIZATION_HEADER_NAME

          public static final java.lang.String PROXY_AUTHORIZATION_HEADER_NAME

      See Also:
        Constant Field Values

    - #### PROXY_AUTHENTICATE_HEADER_NAME

          public static final java.lang.String PROXY_AUTHENTICATE_HEADER_NAME

      See Also:
        Constant Field Values

    - #### WS_VERSION_HEADER_NAME

          public static final java.lang.String WS_VERSION_HEADER_NAME

      See Also:
        Constant Field Values

    - #### WS_VERSION_HEADER_VALUE

          public static final java.lang.String WS_VERSION_HEADER_VALUE

      See Also:
        Constant Field Values

    - #### WS_KEY_HEADER_NAME

          public static final java.lang.String WS_KEY_HEADER_NAME

      See Also:
        Constant Field Values

    - #### WS_PROTOCOL_HEADER_NAME

          public static final java.lang.String WS_PROTOCOL_HEADER_NAME

      See Also:
        Constant Field Values

    - #### WS_EXTENSIONS_HEADER_NAME

          public static final java.lang.String WS_EXTENSIONS_HEADER_NAME

      See Also:
        Constant Field Values

    - #### MULTIPLE_CHOICES

          public static final int MULTIPLE_CHOICES

      See Also:
        Constant Field Values

    - #### MOVED_PERMANENTLY

          public static final int MOVED_PERMANENTLY

      See Also:
        Constant Field Values

    - #### FOUND

          public static final int FOUND

      See Also:
        Constant Field Values

    - #### SEE_OTHER

          public static final int SEE_OTHER

      See Also:
        Constant Field Values

    - #### USE_PROXY

          public static final int USE_PROXY

      See Also:
        Constant Field Values

    - #### TEMPORARY_REDIRECT

          public static final int TEMPORARY_REDIRECT

      See Also:
        Constant Field Values

    - #### UNAUTHORIZED

          public static final int UNAUTHORIZED

      See Also:
        Constant Field Values

    - #### PROXY_AUTHENTICATION_REQUIRED

          public static final int PROXY_AUTHENTICATION_REQUIRED

      See Also:
        Constant Field Values

    - #### BLOCKING_SEND_TIMEOUT_PROPERTY

          public static final java.lang.String BLOCKING_SEND_TIMEOUT_PROPERTY

      See Also:
        Constant Field Values

    - #### DEFAULT_BLOCKING_SEND_TIMEOUT

          public static final long DEFAULT_BLOCKING_SEND_TIMEOUT

      See Also:
        Constant Field Values

    - #### READ_IDLE_TIMEOUT_MS

          public static final java.lang.String READ_IDLE_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### WRITE_IDLE_TIMEOUT_MS

          public static final java.lang.String WRITE_IDLE_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### WS_AUTHENTICATION_USER_NAME

          public static final java.lang.String WS_AUTHENTICATION_USER_NAME

      See Also:
        Constant Field Values

    - #### WS_AUTHENTICATION_PASSWORD

          public static final java.lang.String WS_AUTHENTICATION_PASSWORD

      See Also:
        Constant Field Values

    - #### WS_AUTHENTICATION_REALM

          public static final java.lang.String WS_AUTHENTICATION_REALM

      See Also:
        Constant Field Values

    - #### WS_AUTHENTICATION_PROXY_USER_NAME

          public static final java.lang.String WS_AUTHENTICATION_PROXY_USER_NAME

      See Also:
        Constant Field Values

    - #### WS_AUTHENTICATION_PROXY_PASSWORD

          public static final java.lang.String WS_AUTHENTICATION_PROXY_PASSWORD

      See Also:
        Constant Field Values

    - #### WS_AUTHENTICATION_PROXY_REALM

          public static final java.lang.String WS_AUTHENTICATION_PROXY_REALM

      See Also:
        Constant Field Values

    - #### STRICT_SPEC_COMPLIANCE

          public static final boolean STRICT_SPEC_COMPLIANCE

    - #### INSTALLED_EXTENSIONS

          public static final java.util.List<Extension> INSTALLED_EXTENSIONS